Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<DeferredDeletion(False)> _
Public Class InventoryDifferent
    Inherits BaseObject
    Private _InventoryHeader As InventoryHeader
    Private _Products As Products
    Private _QTT_SC_Free As Double
    Private _QTT_SC_Found As Double
    Private _QTT_PDA As Double 'Leltározott mennyiség
    Private _SumPriceHUF As Double
    Private _SumPriceDEV As Double
    Private _QTT_In As Double
    Private _QTT_Out As Double

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("InventoryHeader-InventoryDifferent", GetType(InventoryHeader))> _
    Property InventoryHeader As InventoryHeader
        Get
            Return _InventoryHeader
        End Get
        Set(value As InventoryHeader)
            SetPropertyValue("InventoryHeader", _InventoryHeader, value)
        End Set
    End Property
    Property Products As Products
        Get
            Return _Products
        End Get
        Set(value As Products)
            SetPropertyValue("Products", _Products, value)
        End Set
    End Property
    Property QTT_SC_Free As Double
        Get
            Return _QTT_SC_Free
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_SC_Free", _QTT_SC_Free, value)
        End Set
    End Property
    Property QTT_SC_Found As Double
        Get
            Return _QTT_SC_Found
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_SC_Found", _QTT_SC_Found, value)
        End Set
    End Property
    Property QTT_PDA As Double
        Get
            Return _QTT_PDA
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_PDA", _QTT_PDA, value)
        End Set
    End Property
    Property SumPriceHUF As Double
        Get
            Return _SumPriceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("SumPriceHUF", _SumPriceHUF, value)
        End Set
    End Property
    Property SumPriceDEV As Double
        Get
            Return _SumPriceDEV
        End Get
        Set(value As Double)
            SetPropertyValue("SumPriceDEV", _SumPriceDEV, value)
        End Set
    End Property
    Property QTT_In As Double
        Get
            Return _QTT_In
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_In", _QTT_In, value)
        End Set
    End Property
    Property QTT_Out As Double
        Get
            Return _QTT_Out
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_Out", _QTT_Out, value)
        End Set
    End Property
End Class
